<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wax Poteto modifications Copyright Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 5.8.3x - Last modified 3/17/2011 (x:10/7/2012)
*/


// Load bootstrap
define ('BOOT', 1);
require ('boot.php');

if (!$flags['admin']) {
	report_err('You do not have the credentials to add users.');
}


// Init
$reg_purge_display_num = 5;


// Input
$usrname2 = w_gpc('usrname2');
$h_usrname2 = w_html_chars($usrname2);


// Purge registrations
if ($flags['admin'] && $action == 'reg_check_delete') {
	if (w_gpc('confirm', 'i') == '1') {
		$result = db_query ("DELETE FROM {$db_mem}oekaki WHERE usrflags='P'");
		all_done('addusr.php');
	}

	// Confirm
	require ('header.php');
?>
<table width="<?php echo $hWidth;?>" cellpadding="<?php echo $hCellPadding;?>" align="center" class="header">
	<tr>
	<td><?php echo $langop_delete_selected;?></td>
	</tr>
</table>
<br />

<form name="check_form" method="post" action="addusr.php">
	<input type="hidden" name="action" value="reg_check_delete" />
	<input type="hidden" name="confirm" value="1" />
	<div style="text-align: center;">
		<font size="-1">
			<?php echo str_replace('{x}', w_gpc('reg_count', 'i'), $langop_sure_purge_regs);?><br />
			<br />
			<input type="submit" name="submit" value="Purge All Registrations" class="submit" /><br />
			<br />
			<br />
			<a href="addusr.php"><?php echo $langop_reg_return_to_bbs;?></a>
		</font>
	</div>
	<br />
	<br />
</form>
<?php
	include ('footer.php');
	w_exit();
}


// Kill registration (anti-spam?)
if (w_gpc('kill', 'i') && !empty ($usrname2)) {
	// Make sure the account is pending, to prevent issues with spoofed URLs
	$result2 = db_query ("SELECT usrname, usrflags FROM {$db_mem}oekaki WHERE usrname='$usrname2'");
	$rownum = db_num_rows ($result2);
	if ($rownum) {
		$row = db_fetch_array($result2);
		if ($row['usrflags'] == 'P') {
			$result = db_query ("DELETE FROM {$db_mem}oekaki WHERE usrname='$usrname2'");
		} else {
			report_err("Delete: '{$h_usrname2}' is not pending!");
		}
	} else {
		report_err("Delete: member '{$h_usrname2}' not found.");
	}

	all_done('addusr.php');
}


require ('header.php');


$result2 = db_query ("SELECT usrname, url, email, joindate, age FROM {$db_mem}oekaki WHERE usrflags='P' ORDER BY joindate DESC");
$rownum = db_num_rows ($result2);


if (empty ($usrname2)) {
?>
<table width="<?php echo $hWidth;?>" cellpadding="<?php echo $hCellPadding;?>" align="center" class="header">
	<tr>
	<td><?php echo $langop_addusr_vpending;?></td>
	</tr>
</table>

<table width="<?php echo $hWidth;?>" cellpadding="<?php echo $hCellPadding;?>" align="center" cellspacing="2" class="infotable">
<tr>
<td>
	<form name="formAddUsr" method="get" action="addusr.php">
		<table width="100%" border="0" cellspacing="0" cellpadding="3" align="center">
		<tr>
		<td>
			<table width="100%" border="0" cellspacing="2" cellpadding="0" class="infotable">
			<tr>
			<td><strong><?php echo $langop_word_username;?></strong></td>
			<td><strong><?php echo $langop_word_email;?></strong></td>
			<td><strong><?php echo $langop_word_url;?></strong></td>
			<td><strong><?php echo $langop_word_age;?></strong></td>
			<td><strong><?php echo $langop_word_registered;?></strong></td>
			</tr>
<?php
for ($i = 0; $i < $rownum; $i++) {
	$row = db_fetch_array ($result2);
	?>
			<tr>
			<td>
				<a href="addusr.php?usrname2=<?php echo urlencode ($row['usrname']) ?>"><?php echo w_html_chars($row['usrname']);?></a>
			</td>
			<td>
<?php
	if (empty ($row['email'])) {
		echo "					<strong>(N/A)</strong>\n";
	} elseif (!empty ($row['email']) && (!strpos ($row['email'], '@'))) {
		echo "					<strong>(INVALID)</strong> (".w_html_chars($row['email']).")\n";
	} else {
		echo '					'.w_html_chars($row['email'])."\n";
	}
?>
			</td>
			<td>
				<?php
if (strlen ($row['url']) < 8) {
	echo $langop_word_no."\n";
} else {
	echo '<a href="'.w_html_chars ($row['url']).'">'.$langop_word_yes.'</a>'."\n";
}
?>
			</td>
			<td>
<?php
	$the_date = $row['age'];
	$the_age  = get_age($the_date);

	if (strpos ($the_date, '-') === FALSE) {
		// No birthday
		$the_b_day = '';
	} else {
		$the_b_day = ' <small>('.$the_date.')</small>';
	}

	echo $the_age.$the_b_day."\n";
?>
			</td>
			<td>
				<?php echo w_html_chars($row['joindate']);?> 
			</td>
			</tr>
<?php } ?>
			</table>
		</td>
		</tr>
		</table>
	</form>
<?php if ($flags['admin'] && $rownum >= $reg_purge_display_num) { ?>

	<hr />

	<form name="check_form" method="post" action="addusr.php">
		<input type="hidden" name="action" value="reg_check_delete" />
		<input type="hidden" name="reg_count" value="<?php echo $rownum;?>" />
		<font size="-1">
			<input type="submit" name="submit" value="Purge All Registrations" class="submit" style="margin-left: 15pt;" />
		</font>
	</form>
<?php } ?>
</td>
</tr>
</table>
<br />

<?php
} else {
	$result = db_query ("SELECT usrname, comment, url, email, IP FROM {$db_mem}oekaki WHERE usrname='$usrname2'");
	$row = @db_fetch_array ($result);
	if (!$row['usrname']) {
?>
		No user: <?php echo $h_usrname2;?><br />
		<br />
<?php
		include ('footer.php');
		w_exit;
	}
?>
<table width="<?php echo $hWidth;?>" cellpadding="<?php echo $hCellPadding;?>" align="center" class="header">
	<tr>
	<td><?php echo $langop_addusr_vpendingdet;?></td>
	</tr>
</table>

<table width="<?php echo $hWidth;?>" cellpadding="<?php echo $hCellPadding;?>" align="center" cellspacing="2" class="infotable">
	<tr>
	<td>
	<form name="formAddusr1" method="post" action="functions.php">
		<input name="action" type="hidden" value="adduser" />

		<table width="75%" border="0" cellspacing="0" cellpadding="3" align="center">
			<tr>
			<td width="30%">
				<font size="-1"><?php echo $langop_word_username;?></font>
			</td>
			<td width="70%">
				<font size="-1"><?php echo $h_usrname2;?></font>
				<input type="hidden" name="usrname2" value="<?php echo $h_usrname2;?>" />
			</td>
			</tr>
			<tr>
			<td>
				<font size="-1"><?php echo $langop_word_email;?></font>
			</td>
			<td>
				<font size="-1"><?php echo w_html_chars($row['email']);?></font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1"><?php echo $langop_addusr_IPdet;?></font>
			</td>
			<td>
				<font size="-1"><?php echo w_html_chars($row['comment']);?></font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1"><?php echo $langop_addusr_arturl;?></font>
			</td>
			<td>
				<font size="-1"><a href="<?php echo w_html_chars ($row['url']);?>" target="_blank"><?php echo w_html_chars($row['url']);?></a></font>
			</td>
			</tr>

			<tr>
			<td colspan="2">&nbsp;</td>
			</tr>

			<tr>
			<td>
				<font size="-1">Recent IP / host:</font>
			</td>
			<td class="infoenter" valign="top">
				<font size="-1">
					<?php
	$newhost = '';
	if (defined ('ENABLE_DNS_HOST_LOOKUP') && ENABLE_DNS_HOST_LOOKUP) {
		$newhost = ' ('.@gethostbyaddr ($address).')';
	}
	if (empty ($row['IP'])) {
		$row['IP'] = $langop_word_none;
	}

	echo ($row['IP'].$newhost);
?>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1"><?php echo $langop_anti_spam;?></font>
			</td>
			<td class="infoenter" valign="top">
				<font size="-1">
					<a href="addusr.php?kill=1&amp;usrname2=<?php echo urlencode ($usrname2);?>"><?php echo $langop_anti_spam_delete;?></a>
				</font>
			</td>
			</tr>

			<tr>
			<td colspan="2">&nbsp;</td>
			</tr>

			<tr>
			<td width="24%">
				<font size="-1"><?php echo $langop_common_drawacc;?></font>
			</td>
			<td width="76%">
				<font size="-1">
					<select name="reg_draw" class="multiline">
<?php if ($cfg['reg_draw'] == 'yes') { ?>
						<option value="1" selected="selected"><?php echo $langop_word_enable;?></option>
						<option value="0"><?php echo $langop_word_disable;?></option>
<?php } else { ?>
						<option value="0" selected="selected"><?php echo $langop_word_disable;?></option>
						<option value="1"><?php echo $langop_word_enable;?></option>
<?php } ?>
					</select>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1"><?php echo $langop_common_aniacc;?></font>
			</td>
			<td>
				<font size="-1">
					<select name="reg_anim" class="multiline">
<?php if ($cfg['reg_anim'] == 'yes') { ?>
						<option value="1" selected="selected"><?php echo $langop_word_enable;?></option>
						<option value="0"><?php echo $langop_word_disable;?></option>
<?php } else { ?>
						<option value="0" selected="selected"><?php echo $langop_word_disable;?></option>
						<option value="1"><?php echo $langop_word_enable;?></option>
<?php } ?>
					</select>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1"><?php echo $langop_type_uaccess;?></font>
			</td>
			<td>
				<font size="-1">
					<select name="reg_upload" class="multiline">
<?php if ($cfg['reg_upload'] == 'yes') { ?>
						<option value="1" selected="selected"><?php echo $langop_word_enable;?></option>
						<option value="0"><?php echo $langop_word_disable;?></option>
<?php } else { ?>
						<option value="0" selected="selected"><?php echo $langop_word_disable;?></option>
						<option value="1"><?php echo $langop_word_enable;?></option>
<?php } ?>
					</select>
				</font>
			</td>
			</tr>

			<tr>
			<td colspan="2">&nbsp;</td>
			</tr>

			<tr>
			<td>
				<font size="-1"><?php echo $langop_word_action;?></font>
			</td>
			<td>
				<font size="-1">
					<select name="accept" class="multiline">
						<option value="1" selected="selected"><?php echo $langop_word_accept;?></option>
						<option value="0"><?php echo $langop_word_reject;?></option>
					</select>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1"><?php echo $langop_addusr_comment;?>:</font>
			</td>
			<td>
				<font size="-1">
					<textarea name="reason" cols="30" rows="5" class="multiline"></textarea>
				</font>
			</td>
			</tr>

			<tr>
			<td colspan="2">&nbsp;</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			<td>
				<font size="-1">
					<input type="submit" name="pmember2" value="Submit" class="submit" />
				</font>
			</td>
			</tr>
			</table>
			<br />
		</form>
	</td>
	</tr>
</table>
<?php
}

include ('footer.php'); ?>