<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wax Poteto modifications Copyright Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 5.8.9 - Last modified 10/20/2012
*/


// Load bootstrap
define ('BOOT', 1);
require ('boot.php');

// Input
$small_header = w_gpc('s', 'i');
$error = w_gpc('error', 'raw');


// Type of header?
if ($small_header) {
	// Start HTML
	send_html_headers();

echo <<<EOF
<head>
	<meta http-equiv="Content-Type" content="text/html; charset={$charset}" />

	<title>{$cfg['op_title']}</title>

{$cssdata}

	<script type="text/javascript" src="poteto.js">
	</script>
</head>

<body {$bodydata}>


EOF;
} else {
	include ('header.php');
}

?>
<table width="<?php echo $hWidth;?>" cellpadding="<?php echo $hCellPadding;?>" align="center" class="header">
<tr>
<td>
	<strong><?php echo $langop_word_error;?></strong>
</td>
</tr>
</table>

<table width="<?php echo $hWidth;?>" cellpadding="<?php echo $hCellPadding;?>" align="center" cellspacing="2" class="infotable">
<tr>
<td>
	<p align="center">
		<?php echo w_html_chars ($error); ?> 
	</p>
	<p align="center">
<?php
if ($small_header) {
	echo '		<a onclick="window.close();" href="#">'.$langop_common_window."</a>\n";
} else {
	echo "		{$langop_error_goback}\n";
}
?>
	</p>
</td>
</tr>
</table>
<br />
<br />

<?php
if ($small_header) {
	db_close();
	echo "</body>\n</html>\n";
} else {
	include ('footer.php');
}

exit();

?>